<?php

/**  // € // to identify files as UTF8
 * handle links defined in linker tool
 *
 * @module          linker_view
 * @author          Wolfgang Studer
 * @copyright       2017 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.08.000 | 2017-12-30
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/linker_view.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3054
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


// check input
	$inputs = array();
	$inputs[ 'link_id' ]		= array( 'filter' => FILTER_SANITIZE_NUMBER_INT, 'required' => 1 );
	$inputs[ 'release_code' ]	= array( 'filter' => FILTER_SANITIZE_STRING, 'required' => 1 );
	$inputs[ 'leptoken' ]		= array( 'filter' => FILTER_SANITIZE_STRING );

// set $module as current module
	$linker_module = 'linker_view';

// set processing initials
	unset( $twigTemplate );
	$linker_component = basename( __FILE__, '.php' );
	$linker_modulePath = dirname( __FILE__ ) . DIRECTORY_SEPARATOR;
	$includes = array();

// Include admin class script
	include( LEPTON_PATH . '/framework/class.admin.php');
	$admin = new admin( 'Dialog', 'start', false, false );

// include the basic files at start
	// setup module initials
	$includes[]	= array( 'LOADER'=> 'require', 'FILE' => $linker_modulePath . 'register_initial.php' );
	include( $linker_modulePath . 'load_includes.php' );

	// include language registration
	$includes[]	= $linker_modulePath . 'register_language.php';
	// include backend config files
	$includes[]	= $linker_modulePath . 'lib/lib.config.php';
	$includes[]	= $linker_modulePath . 'lib/lib.frontend.config.php';
	$includes[]	= $linker_templatePath . 'lib/lib.frontend.config.php';
	$includes[]	= $linker_modulePath . 'lib/lib.frontend.config.' . $linker_component . '.php';
	$includes[]	= $linker_templatePath . 'lib/lib.frontend.config.' . $linker_component . '.php';
	// include basic functions
	$includes[]	= array( 'LOADER'=> 'require', 'FILE' => $linker_modulePath . 'lib/lib.frontend.functions.php' );
	// do include
	include( $linker_modulePath . 'load_includes.php' );

// initialize data variable
	$data = array();

// init ajax output
	$linker_response = '';

// do input validation
	if ( $_SERVER["REQUEST_METHOD"] == 'POST' ):
		$error = linker_input_filter( 'POST', $_POST, $inputs );
	else:
		$error = linker_input_filter( 'GET', $_GET, $inputs );
	endif;
	if ( $error != 0 ):
		$status = FALSE;
		$messages['ERROR'][] = $MOD_LINKER_VIEW['ERROR']['INPUT'] . ' [ ' . $error . ' ]' . '<br />' . $inputs[$error][ 'error' ];
		unset( $inputs );

	else:
		// save input into local vars
		$link_id		= $inputs[ 'link_id' ][ 'value' ];
		$release_code	= $inputs[ 'release_code' ][ 'value' ];
		$leptoken		= $inputs[ 'leptoken' ][ 'value' ];

		unset( $inputs );

		// initialize status
		$status = FALSE;

		// prepare SQL
		$query = 'SELECT `link_id` '
					. ' FROM ' . TABLE_PREFIX . 'mod_linker'
					. ' WHERE `link_id`			= ' . $link_id
					. '   AND `release_code`	= "' . $release_code . '"'
					. '   AND `active`			= 1'
					. '   AND `status` NOT IN ( "DELETED", "ENDVALID" )'
					. '   AND ( `valid_from` = 0 OR `valid_from` IS NULL OR `valid_from` <= UNIX_TIMESTAMP() )'
					. '   AND ( `valid_till` = 0 OR `valid_till` IS NULL OR `valid_till` >= UNIX_TIMESTAMP() )'
					;
		// hide registered groups when not logged in
		if (( FRONTEND_LOGIN == '1' )
		AND ( is_numeric( $wb->get_session('USER_ID'))	== TRUE )):
			// show both public and registered links
			$query .= '   AND `visibility` IN ( "public", "registered" )';
		else:
			$query .= '   AND `visibility`= "public"';
		endif;
		// get the data
		$data = linker_execute_query( __FUNCTION__, $query, 'get_all_one', $linker_vars );

		// include data manipulation files
		$includes[]	= $linker_modulePath . 'lib/lib.data.php';
		$includes[]	= $linker_templatePath . 'lib/lib.data.php';
		$includes[]	= $linker_modulePath . 'lib/lib.data.' . $linker_component . '.php';
		$includes[]	= $linker_templatePath . 'lib/lib.data.' . $linker_component . '.php';
		include( $linker_modulePath . 'load_includes.php' );
	endif;

	// output
	if ( $status == TRUE ):
		$status = 1;
	else:
		$status = -1;
	endif;
	echo json_encode( array( 'status' => $status, 'ResponseText' => $linker_response ) );
	return true;
?>
