<?php

/**  // € // to identify files as UTF8
 * handle links defined in linker tool
 *
 * @module          linker_view
 * @author          Wolfgang Studer
 * @copyright       2017 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.08.000 | 2017-12-30
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/linker_view.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3054
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


/** ------------------------------------------------------------------------------------
 * build list of page languages
 * @return	string		new status
 * @param	array		$link = array of link row
 ** ------------------------------------------------------------------------------------
 */
if ( function_exists( 'linker_evaluate_status' ) == FALSE ):
	function linker_evaluate_status( $link = array() )
	{
		// initialize
		$newStatus = $link[ 'status' ];

		// no status means OK
		if ( strlen( trim( $newStatus )) == 0 ):
			$newStatus = 'UNDEFINED';
		endif;

		if( $link[ 'last_confirmed_when' ] == '' ):
			$link[ 'last_confirmed_when' ] = 0;
		endif;

		// check last confirmation timestamp
		if (( strlen( trim( $link[ 'last_confirmed_when' ] ))	> 0 )
		and ( $link[ 'last_confirmed_when' ]					> 0 )):

			// set to OK per default (86400 = 24h * 60m * 60s )
			$newStatus = 'OK';

			// set to warning when time is passed
			if (( $link[ 'confirmation_age_warning' ]				> 0 )
			and ( strtotime( $link[ 'last_confirmed_when' ] )		< ( time() - ( $link[ 'confirmation_age_warning' ] * 86400 ))	)):
				$newStatus = 'WARNING';
			endif;

			// set end validate when time is passed
			if (( $link[ 'confirmation_age_endvalid' ]				> 0 )
			and ( strtotime( $link[ 'last_confirmed_when' ] )		< ( time() - ( $link[ 'confirmation_age_endvalid' ] * 86400 ))	)):
				$newStatus = 'ENDVALID';
			endif;
		else:
			$newStatus = 'UNDEFINED';
		endif;

		// also set end validate when row passed till date
		if (( strlen( trim( $link[ 'valid_till' ] ))	> 0      )
		and ( $link[ 'valid_till' ]						> 0      )
		and ( strtotime( $link[ 'valid_till' ] )		< time() )):
			$newStatus = 'ENDVALID';
		endif;

		// keep DELETED
		if ( $link[ 'status' ] == 'DELETED' ):
			$newStatus = 'DELETED';
		endif;

		// return
		return $newStatus;
	}
endif;

?>
