<?php

/**  // € // to identify files as UTF8
 * handle links defined in linker tool
 *
 * @module          linker_view
 * @author          Wolfgang Studer
 * @copyright       2017 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.08.000 | 2017-12-30
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/linker_view.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3054
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


// if no data found with current link_id & release_code combination, check release_code with parent link_id
	if ( count( $data ) == 0 ):
		// prepare SQL to get parent group
		$query = 'SELECT `parent` '
					. ' FROM ' . TABLE_PREFIX . 'mod_linker'
					. ' WHERE `link_id`	= ' . $link_id
					. '   AND `parent`	> 0'
					. '   AND `active`	= 1'
					. '   AND `status` NOT IN ( "DELETED", "ENDVALID" )'
					;
		// hide registered groups when not logged in
		if (( FRONTEND_LOGIN == '1' )
		AND ( is_numeric( $wb->get_session('USER_ID'))	== TRUE )):
			// show both public and registered links
			$query .= '   AND `visibility` IN ( "public", "registered" )';
		else:
			$query .= '   AND `visibility`= "public"';
		endif;
		// get the data
		$parent_id = linker_execute_query( __FUNCTION__, $query, 'get_one', $linker_vars );

		// check if release code exists on parent group (parent as such is already valid when parent_id > 0)
		if ( $parent_id > 0 ):
			$query = 'SELECT `link_id` '
						. ' FROM ' . TABLE_PREFIX . 'mod_linker'
						. ' WHERE `link_id`			= ' . $parent_id
						. '   AND `release_code`	= "' . $release_code . '"'
						;
			// get the data
			$data = linker_execute_query( __FUNCTION__, $query, 'get_all_one', $linker_vars );
		endif;
	endif;

// if any combination of link id and release code is found, prepare url to use based on input link_id
	if ( count( $data ) > 0 ):
		// get the url data
		$query = 'SELECT l.`link_type`, l.`link_url`, t.`link_ext` '
				. ' FROM ' . TABLE_PREFIX . 'mod_linker l'
				. ' LEFT OUTER JOIN ' . TABLE_PREFIX . 'mod_linker_text t'
				. '    ON l.`link_id`  = t.`link_id`'
				. '   AND t.`language` = "' . LANGUAGE . '"'
				. ' WHERE l.`link_id` = ' . $link_id
				;
		$data = "";
		$data = linker_execute_query( __FUNCTION__, $query, 'get_all_one', $linker_vars );

		if ( count( $data ) > 0 ):
			$linker_response = trim( $data[ 'link_url' ] );
			// language url overwrites generic url
			if ( strlen( trim( $data[ 'link_ext' ] )) > 0 ):
				$linker_response = trim( $data[ 'link_ext' ] );
			endif;
		endif;

		if ( strlen( $linker_response ) > 0 ):
			// do some specific handling depending on link_type
			switch( $data[ 'link_type' ] ):
			case 'media':
				// set url
				$linker_response = LEPTON_URL . DIRECTORY_SEPARATOR . MEDIA_DIRECTORY . DIRECTORY_SEPARATOR . $linker_response;
				$status = TRUE;
				break;

			case 'link':
				// no specific actions, use value as is
				$status = TRUE;
				break;

			case 'page' :
				// not supported at the moment ....
				$linker_response = "";
				break;

			default :
				// never be supported ...!!!
				$linker_response = "";
				break;
			endswitch;
		endif;
	endif;
?>
