<?php

/**  // € // to identify files as UTF8
 * handle links defined in linker tool
 *
 * @module          linker_view
 * @author          Wolfgang Studer
 * @copyright       2017 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.08.000 | 2017-12-30
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/linker_view.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3054
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


// make array out of saved manually selected groups
	$selected = array();
	if ( count( $data ) > 0 ):
		if (( $data[ 'group_select' ] == 'select' )
		and ( strlen( trim( $data[ 'link_groups' ] )) > 0 )):
			$selected = json_decode( $data[ 'link_groups' ], true );
		endif;
	endif;

// build list of available groups
	foreach ( $tmp as $id => $item ):
		$group = array();
		$group[ 'group_id' ]   = $item[ 'link_id' ];
		$group[ 'group_collection' ] = $item[ 'group_collection' ];
		$group[ 'group_name' ] = $item[ 'group_name' ];
		if (( array_key_exists( 'link_title', $item )	== TRUE )
		and ( strlen( trim( $item[ 'link_title' ] ))	>  0    )):
			$group[ 'group_title' ] = $item[ 'link_title' ];
		else:
			$group[ 'group_title' ] = $item[ 'group_name' ];
		endif;
		if ( array_key_exists( 'link_desc', $item )	== TRUE ):
			$group[ 'group_desc' ] = $item[ 'link_desc' ];
		else:
			$group[ 'group_desc' ] = '';
		endif;
		$group[ 'status' ] = 'UNDEFINED';
		if ( $item[ 'status' ] == 'DELETED' ):
			$group[ 'status' ] = 'DELETED';
		endif;
		$group[ 'active' ] = $item[ 'active' ];
		$group[ 'visibility' ] = $item[ 'visibility' ];

		// count child links
		$query = 'SELECT COUNT(*) '
				. ' FROM ' . TABLE_PREFIX . 'mod_linker'
				. ' WHERE `parent` = ' . $item[ 'link_id' ]
				;
		$group[ 'count' ] = linker_execute_query( __FUNCTION__, $query, 'get_one' );

		// is current group in manual selection list
		if (( count( $selected ) > 0 )
		and ( in_array( $item[ 'group_name' ], $selected ) == TRUE )):
			$group[ 'selected' ] = 1;
		else:
			$group[ 'selected' ] = 0;
		endif;

		// add into group array
		$groups[] = $group;

		// also build up collection array
		if ( strlen( trim( $item[ 'group_collection' ] )) > 0 ):
			$collection = array();
			if ( array_key_exists( $item[ 'group_collection' ], $collections ) == TRUE ):
				$collection = $collections[$item[ 'group_collection' ]];
			else:
				$collection[ 'group_collection' ] = $item[ 'group_collection' ];
				$collection[ 'groups' ] = 0;
				$collection[ 'count' ] = 0;
				$collection[ 'status' ] = '-';
				$collection[ 'active' ] = '-';
				$collection[ 'visibility' ] = '-';
			endif;
			$collection[ 'groups' ] = $collection[ 'groups' ] + 1;
			$collection[ 'count' ] = $collection[ 'count' ] + $group[ 'count' ];
			if ( $collection[ 'visibility' ] == $group[ 'visibility' ] ):
				// leave as is
			elseif ( $collection[ 'visibility' ] == '-' ):
				// take it first time
				$collection[ 'visibility' ] = $group[ 'visibility' ];
			else:
				// set to undefined
				$collection[ 'visibility' ] = 'X';
			endif;
			if ( $collection[ 'status' ] == $group[ 'status' ] ):
				// leave as is
			elseif ( $collection[ 'status' ] == '-' ):
				// take it first time
				$collection[ 'status' ] = $group[ 'status' ];
			else:
				// set to undefined
				$collection[ 'status' ] = 'UNDEFINED';
			endif;
			if ( $collection[ 'active' ] == $group[ 'active' ] ):
				// leave as is
			elseif ( $collection[ 'active' ] == '-' ):
				// take it first time
				$collection[ 'active' ] = $group[ 'active' ];
			else:
				// set to undefined
				$collection[ 'active' ] = 'X';
			endif;
			$collection[ 'selected' ] = 0;

			// add into collection array
			$collections[$item[ 'group_collection' ]] = $collection;
		endif;
	endforeach;
?>
