<?php

/**  // € // to identify files as UTF8
 * handle links defined in linker tool
 *
 * @module          linker_view
 * @author          Wolfgang Studer
 * @copyright       2017 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.08.000 | 2017-12-30
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/linker_view.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3054
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


// init
	$groups = array();
	$users = array();

// check if base table is set and a preset has been choosen
	if (( count( $data )					> 0 )
	and ( strlen( $data[ 'preset_name' ] )	> 0 )):

		// get all requested groups
		$query = 'SELECT l.*, t.`link_title`, t.`link_desc` '
				. ' FROM ' . TABLE_PREFIX . 'mod_linker l'
				. ' LEFT OUTER JOIN ' . TABLE_PREFIX . 'mod_linker_text t'
				. '    ON l.`link_id`  = t.`link_id`'
				. '   AND t.`language` = "' . LANGUAGE . '"'
				. ' WHERE l.`parent`  = 0'
				. '   AND l.`active`  = 1'
				. '   AND l.`status` != "DELETED"'
				;

		// hide registered groups when not logged in
		if (( FRONTEND_LOGIN == '1' )
		AND ( is_numeric( $wb->get_session('USER_ID'))	== TRUE )):
			// show both public and registered links
			$query .= '   AND l.`visibility` IN ( "public", "registered" )';
		else:
			$query .= '   AND l.`visibility`= "public"';
		endif;

		// get a list of all link groups to be used
		if ( $data[ 'group_select' ] == 'select' ):
			$selected = array();
			if ( strlen( trim( $data[ 'link_groups' ] )) > 0 ):
				$selected = json_decode( $data[ 'link_groups' ], true );
			endif;
			if ( count( $selected ) > 0 ):
				$query .= '   AND l.`link_id` in (' . implode( ',', array_keys( $selected )) . ')';
			else:
				// add dummy item as it means no group has been selected
				$query .= '   AND l.`link_id` = "-1"';
			endif;
		// get a list of all link group collections to be used
		elseif ( $data[ 'group_select' ] == 'collection' ):
			$selected = array();
			if ( strlen( trim( $data[ 'link_groups' ] )) > 0 ):
				$selected = json_decode( $data[ 'link_groups' ], true );
			endif;
			if ( count( $selected ) > 0 ):
				$query .= '   AND l.`group_collection` in ("' . implode( '","', array_keys( $selected )) . '")';
			else:
				// add dummy item as it means no collection has been selected
				$query .= '   AND l.`link_id` = "-1"';
			endif;
		endif;
		$query .= ' ORDER BY l.`position`';
		$tmp = linker_execute_query( __FUNCTION__, $query, 'get_all', $linker_vars );

		// set group & link details
		if ( count( $tmp ) > 0 ):
			foreach ( $tmp as $id => $item ):
				$group = array();
				$group[ 'group_id' ]   = $item[ 'link_id' ];
				$group[ 'group_collection' ] = $item[ 'group_collection' ];
				$group[ 'group_name' ] = $item[ 'group_name' ];
				if (( array_key_exists( 'link_title', $item )	== TRUE )
				and ( strlen( trim( $item[ 'link_title' ] ))	>  0    )):
					$group[ 'group_title' ] = $item[ 'link_title' ];
				else:
					$group[ 'group_title' ] = $item[ 'group_name' ];
				endif;
				if ( array_key_exists( 'link_desc', $item )	== TRUE ):
					$group[ 'group_desc' ] = $item[ 'link_desc' ];
				else:
					$group[ 'group_desc' ] = '';
				endif;
				$group[ 'visibility' ] = $item[ 'visibility' ];

				// add the links
				$query = 'SELECT l.*, t.`link_title`, t.`link_desc`, t.`link_ext` '
						. ' FROM ' . TABLE_PREFIX . 'mod_linker l'
						. ' LEFT OUTER JOIN ' . TABLE_PREFIX . 'mod_linker_text t'
						. '    ON l.`link_id`  = t.`link_id`'
						. '   AND t.`language` = "' . LANGUAGE . '"'
						. ' WHERE `parent` = ' . $item[ 'link_id' ]
						. '   AND l.`active`  = 1'
						. '   AND l.`status` NOT IN ( "DELETED", "ENDVALID" )'
						. ' AND ( l.`valid_from` = 0 OR l.`valid_from` IS NULL OR l.`valid_from` <= UNIX_TIMESTAMP() )'
						. ' AND ( l.`valid_till` = 0 OR l.`valid_till` IS NULL OR l.`valid_till` >= UNIX_TIMESTAMP() )'
						. ' ORDER BY l.`position`'
						;
				$links = linker_execute_query( __FUNCTION__, $query, 'get_all', $linker_vars );

				// no links, no list
				if ( count( $links ) == 0 ):
					// read next group
					continue;
				endif;

				// loop over links and evaluate current status
				foreach ( $links as $id2 => $link ):

					// get current status
					$link[ 'status' ] = linker_evaluate_status( $link );
					if ( $link[ 'status' ] == 'ENDVALID' ):
						// ignore current link, read next link
						continue;
					endif;

					// language url before generic url
					if ( strlen( trim( $link[ 'link_ext' ] ))		> 0 ):
						// overwrite generic URL
						$link[ 'link_url' ] = trim( $link[ 'link_ext' ] );
					endif;
					// ignore link if url is missing
					if ( strlen( trim( $link[ 'link_url' ] ))		== 0 ):
						// ignore current link, read next link
						continue;
					endif;

					// do some specific handling depending on link_type
					switch( $link[ 'link_type' ] ):
					case 'page' :
						$arr = explode( ',', $link[ 'link_url' ] );
						if ( count( $arr ) > 0 ):
							$link_type_main   = (int) str_replace( $linker_treekind['page']['prefix'], '', trim( $arr[0] ));	// page
							$link_type_detail = '0';
							if ( count( $arr ) > 1 ):
								$link_type_detail = (int) str_replace( $linker_treekind['section']['prefix'], '', trim( $arr[1] ));	// section
							endif;
						endif;
						// get page link
						if ( $link_type_main > 0 ):
							$query = 'SELECT `link`'
									. ' FROM ' . TABLE_PREFIX . 'pages'
									. ' WHERE `page_id` = ' . $link_type_main
									. ' LIMIT 1'
									;
							$page = linker_execute_query( __FUNCTION__, $query, 'get_all_one', $linker_vars );
							if ( count( $page ) == 0 ):
								// ignore current link, read next link
								continue;
							endif;

							// set url
							$link[ 'link_url' ] = LEPTON_URL . DIRECTORY_SEPARATOR . PAGES_DIRECTORY . DIRECTORY_SEPARATOR . $page[ 'link' ]. PAGE_EXTENSION;

							// if SEC_ANCHOR is not properly set, then also no menu targets are available
							// before each section!
							if (( $link_type_detail			>  0    )
							and ( defined( 'SEC_ANCHOR' )	== TRUE )
							and ( SEC_ANCHOR				!= ''   )):
								// add section jump target
								$link[ 'link_url' ] .= '#' . SEC_ANCHOR . $link_type_detail;
							endif;
						endif;
						break;
					
					case 'media':
						// set url
						$link[ 'link_url' ] = LEPTON_URL . DIRECTORY_SEPARATOR . MEDIA_DIRECTORY . DIRECTORY_SEPARATOR . $link[ 'link_url' ];
						break;

					case 'link':
						// no specific actions
						break;
					endswitch;

					// title is link_title or link_code or link_url
					if (( array_key_exists( 'link_title', $link )	== FALSE )
					or ( strlen( trim( $link[ 'link_title' ] ))		== 0     )):
						$link[ 'link_title' ] = $link[ 'link_code' ];
					endif;
					if ( strlen( trim( $link[ 'link_title' ] ))		== 0 ):
						$link[ 'link_title' ] = $link[ 'link_url' ];
					endif;

					// init as empty description if not exists
					if ( array_key_exists( 'link_desc', $link )	== FALSE ):
						$link[ 'link_desc' ] = '';
					endif;

					// get user name of last_confirmed_by
					if ( $link[ 'last_confirmed_by' ] > 0 ):
						$userId = $link[ 'last_confirmed_by' ];
						if ( array_key_exists( $userId, $users ) == FALSE ):
							$users[ $userId ] = linker_get_user_details( $userId, $linker_vars );
						endif;
						$link[ 'last_confirmed_by_name' ] = $users[ $userId ]['display_name'];
					else:
						$link[ 'last_confirmed_by_name' ] = '';
					endif;

					// add into group array
					$group['LINK'][] = $link;
				endforeach;

				// add into collection array
				$groups[] = $group;
			endforeach;
		endif;
	endif;

?>
