<?php

/**  // € // to identify files as UTF8
 * handle links defined in linker tool
 *
 * @module          linker_view
 * @author          Wolfgang Studer
 * @copyright       2017 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.08.000 | 2017-12-30
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/linker_view.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3054
*/


// load filemanager
	if ( count( get_included_files() ) < 2 ) die();

	global $lepton_filemanager;
	if ( is_object($lepton_filemanager) == FALSE ):
		require_once( '../../framework/class.lepton.filemanager.php' );
	endif;

/*
 * List of the files to register
 * ==============================
 *
 * Source: http://doc.lepton-cms.org/docu/english/home/addons/register-files.php
 *
 */

/* automatic registered files:
 * install.php
 * uninstall.php
 * upgrade.php
 * add.php
 * delete.php
 * modify.php
 * view.php
 */

// define the files to be registered
$files_to_register = array();
$files_to_register[] = '/modules/linker_view/README.de.php';
$files_to_register[] = '/modules/linker_view/README.en.php';
$files_to_register[] = '/modules/linker_view/_setup.php';
$files_to_register[] = '/modules/linker_view/ajax.release_code.php';
$files_to_register[] = '/modules/linker_view/ajax.toggle_active.php';
$files_to_register[] = '/modules/linker_view/css/backend.css';
$files_to_register[] = '/modules/linker_view/css/images/status_deleted_16.png';
$files_to_register[] = '/modules/linker_view/css/images/status_endvalid_16.png';
$files_to_register[] = '/modules/linker_view/css/images/status_ok_16.png';
$files_to_register[] = '/modules/linker_view/css/images/status_undefined_16.png';
$files_to_register[] = '/modules/linker_view/css/images/status_warning_16.png';
$files_to_register[] = '/modules/linker_view/css/images/toggle_active_0_16.png';
$files_to_register[] = '/modules/linker_view/css/images/toggle_active_1_16.png';
$files_to_register[] = '/modules/linker_view/css/images/toggle_active_x_16.png';
$files_to_register[] = '/modules/linker_view/css/images/transparent.png';
$files_to_register[] = '/modules/linker_view/dialog.show_info.php';
$files_to_register[] = '/modules/linker_view/headers.inc.backend.php';
$files_to_register[] = '/modules/linker_view/headers.inc.modify.php';
$files_to_register[] = '/modules/linker_view/headers.inc.php';
$files_to_register[] = '/modules/linker_view/headers.inc.view.php';
$files_to_register[] = '/modules/linker_view/info.php';
$files_to_register[] = '/modules/linker_view/install_dependency.php';
$files_to_register[] = '/modules/linker_view/js/ajax.toggle_active.js';
$files_to_register[] = '/modules/linker_view/js/dialog.js';
$files_to_register[] = '/modules/linker_view/js/modify.js';
$files_to_register[] = '/modules/linker_view/js/modify_preset_options.js';
$files_to_register[] = '/modules/linker_view/js/textarea_autosize/autosize.js';
$files_to_register[] = '/modules/linker_view/js/textarea_autosize/autosize.min.js';
$files_to_register[] = '/modules/linker_view/js/textarea_autosize/read.me';
$files_to_register[] = '/modules/linker_view/js/textarea_autosize.js';
$files_to_register[] = '/modules/linker_view/js/view.js';
$files_to_register[] = '/modules/linker_view/languages/DE.ajax.toggle_active.php';
$files_to_register[] = '/modules/linker_view/languages/DE.dialog.show_info.php';
$files_to_register[] = '/modules/linker_view/languages/DE.modify.php';
$files_to_register[] = '/modules/linker_view/languages/DE.modify_preset_options.php';
$files_to_register[] = '/modules/linker_view/languages/DE.php';
$files_to_register[] = '/modules/linker_view/languages/DE.view.php';
$files_to_register[] = '/modules/linker_view/languages/EN.ajax.toggle_active.php';
$files_to_register[] = '/modules/linker_view/languages/EN.dialog.show_info.php';
$files_to_register[] = '/modules/linker_view/languages/EN.modify.php';
$files_to_register[] = '/modules/linker_view/languages/EN.modify_preset_options.php';
$files_to_register[] = '/modules/linker_view/languages/EN.php';
$files_to_register[] = '/modules/linker_view/languages/EN.view.php';
$files_to_register[] = '/modules/linker_view/lib/functions/function.evaluate_status.php';
$files_to_register[] = '/modules/linker_view/lib/functions/function.execute_query.php';
$files_to_register[] = '/modules/linker_view/lib/functions/function.get_user_details.php';
$files_to_register[] = '/modules/linker_view/lib/functions/function.input_filter.php';
$files_to_register[] = '/modules/linker_view/lib/functions/function.load_language.php';
$files_to_register[] = '/modules/linker_view/lib/functions/function.preset_options.get_presets.php';
$files_to_register[] = '/modules/linker_view/lib/functions/function.preset_options.prepare_optionset.php';
$files_to_register[] = '/modules/linker_view/lib/functions/function.preset_options.prepare_string.php';
$files_to_register[] = '/modules/linker_view/lib/functions/function.preset_options.update_preset_path_used.php';
$files_to_register[] = '/modules/linker_view/lib/functions/function.preset_options.validate_optionset.php';
$files_to_register[] = '/modules/linker_view/lib/lib.backend.config.php';
$files_to_register[] = '/modules/linker_view/lib/lib.backend.functions.modify_preset_options.php';
$files_to_register[] = '/modules/linker_view/lib/lib.backend.functions.php';
$files_to_register[] = '/modules/linker_view/lib/lib.backend.functions.save_preset_options.php';
$files_to_register[] = '/modules/linker_view/lib/lib.data.ajax.release_code.php';
$files_to_register[] = '/modules/linker_view/lib/lib.data.ajax.toggle_active.php';
$files_to_register[] = '/modules/linker_view/lib/lib.data.dialog.show_info.php';
$files_to_register[] = '/modules/linker_view/lib/lib.data.modify.collection.php';
$files_to_register[] = '/modules/linker_view/lib/lib.data.modify.group.php';
$files_to_register[] = '/modules/linker_view/lib/lib.data.modify.php';
$files_to_register[] = '/modules/linker_view/lib/lib.data.modify_preset_options.php';
$files_to_register[] = '/modules/linker_view/lib/lib.data.view.php';
$files_to_register[] = '/modules/linker_view/lib/lib.frontend.config.php';
$files_to_register[] = '/modules/linker_view/lib/lib.frontend.functions.php';
$files_to_register[] = '/modules/linker_view/lib/lib.save.php';
$files_to_register[] = '/modules/linker_view/lib/lib.save_preset_options.php';
$files_to_register[] = '/modules/linker_view/lib/lib.twig.ajax.toggle_active.php';
$files_to_register[] = '/modules/linker_view/lib/lib.twig.dialog.show_info.php';
$files_to_register[] = '/modules/linker_view/lib/lib.twig.formvalues.php';
$files_to_register[] = '/modules/linker_view/lib/lib.twig.modify.php';
$files_to_register[] = '/modules/linker_view/lib/lib.twig.modify_preset_options.php';
$files_to_register[] = '/modules/linker_view/lib/lib.twig.view.php';
$files_to_register[] = '/modules/linker_view/load_includes.php';
$files_to_register[] = '/modules/linker_view/modify_preset_options.php';
$files_to_register[] = '/modules/linker_view/precheck.php';
$files_to_register[] = '/modules/linker_view/register_initial.php';
$files_to_register[] = '/modules/linker_view/register_language.php';
$files_to_register[] = '/modules/linker_view/register_parser.php';
$files_to_register[] = '/modules/linker_view/save.php';
$files_to_register[] = '/modules/linker_view/save_preset_options.php';
$files_to_register[] = '/modules/linker_view/search.php';
$files_to_register[] = '/modules/linker_view/templates/backend/ajax.toggle_active.lte';
$files_to_register[] = '/modules/linker_view/templates/backend/dialog.show_info.lte';
$files_to_register[] = '/modules/linker_view/templates/backend/modify.lte';
$files_to_register[] = '/modules/linker_view/templates/backend/modify_active.lte';
$files_to_register[] = '/modules/linker_view/templates/backend/modify_preset_options.lte';
$files_to_register[] = '/modules/linker_view/templates/backend/modify_status.lte';
$files_to_register[] = '/modules/linker_view/templates/backend/modify_visibility.lte';
$files_to_register[] = '/modules/linker_view/templates/backend/show.help.lte';
$files_to_register[] = '/modules/linker_view/templates/backend/show.toggle_active.lte';
$files_to_register[] = '/modules/linker_view/templates/backend/show_info.lte';
$files_to_register[] = '/modules/linker_view/templates/frontend/view.lte';

// register the files
	$lepton_filemanager->register( $files_to_register );

?>
