<?php

/**  // € // to identify files as UTF8
 * handle links defined in linker tool
 *
 * @module          linker_view
 * @author          Wolfgang Studer
 * @copyright       2017 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.08.000 | 2017-12-30
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/linker_view.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3054
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


// check input
	$inputs = array();
	$inputs[ 'module' ]			= array( 'filter' => FILTER_SANITIZE_STRING, 'flags' => FILTER_FLAG_STRIP_LOW|FILTER_FLAG_STRIP_HIGH, 'required' => 1, 'allowed' => array( 'linker_view' ) );
	$inputs[ 'page_id' ]		= array( 'filter' => FILTER_SANITIZE_NUMBER_INT, 'required' => 1 );
	$inputs[ 'section_id' ]		= array( 'filter' => FILTER_SANITIZE_NUMBER_INT, 'required' => 1 );
	$inputs[ 'save_target' ]	= array( 'filter' => FILTER_SANITIZE_STRING, 'required' => 1 );
	$inputs[ 'leptoken' ]		= array( 'filter' => FILTER_SANITIZE_STRING );
	$inputs[ 'preset_path' ]	= array( 'filter' => FILTER_SANITIZE_STRING, 'required' => 1 );
	$inputs[ 'preset_name' ]	= array( 'filter' => FILTER_SANITIZE_STRING, 'required' => 1 );

	// loop over input data and add into inputs array for data validation
	foreach ( array( 'options', 'properties' ) as $kind ):
		if ( array_key_exists( $kind, $_POST ) == TRUE ):
			$inputs[ $kind ] = array( 'kind' => 'array', 'id' => FALSE );

			foreach ( $_POST[ $kind ] as $key => $value ):
				$filter = array( 'filter' => FILTER_SANITIZE_STRING );
				if (( array_key_exists( 'filter', $_POST )			== TRUE )
				and ( array_key_exists( $key, $_POST[ 'filter' ] )	== TRUE )):
					$filter = json_decode( $_POST[ 'filter' ][ $key ], TRUE );
				endif;

				$inputs[ $kind ][0][ $key ] = $filter;
			endforeach;
		endif;
	endforeach;

// Tells script to update when this page was last updated
	$update_when_modified = true;

// set $module as current module
	$linker_module = 'linker_view';

// set processing initials
	unset( $twigTemplate );
	$linker_component = basename( __FILE__, '.php' );
	$linker_modulePath = dirname( __FILE__ ) . DIRECTORY_SEPARATOR;
	$includes = array();

// include the basic files at start
	// Include admin wrapper script
	$includes[]	= array( 'LOADER'=> 'require', 'FILE' => LEPTON_PATH . '/modules/admin.php' );
	// setup module initials
	$includes[]	= array( 'LOADER'=> 'require', 'FILE' => $linker_modulePath . 'register_initial.php' );
	include( $linker_modulePath . 'load_includes.php' );

	// include language registration
	$includes[]	= $linker_modulePath . 'register_language.php';
	// include backend config files
	$includes[]	= $linker_modulePath . 'lib/lib.config.php';
	$includes[]	= $linker_modulePath . 'lib/lib.backend.config.php';
	$includes[]	= $linker_templatePath . 'lib/lib.backend.config.php';
	$includes[]	= $linker_modulePath . 'lib/lib.backend.config.' . $linker_component . '.php';
	$includes[]	= $linker_templatePath . 'lib/lib.backend.config.' . $linker_component . '.php';
	// include basic functions
	$includes[]	= $linker_templatePath . 'lib/lib.backend.functions.' . $linker_component . '.php';
	$includes[]	= $linker_templatePath . 'lib/lib.backend.functions.php';
	$includes[]	= $linker_modulePath . 'lib/lib.backend.functions.' . $linker_component . '.php';
	$includes[]	= $linker_modulePath . 'lib/lib.backend.functions.php';
	// do include
	include( $linker_modulePath . 'load_includes.php' );

	// initialize data variable
	$data = array();

	// do input validation
	$error = linker_input_filter( 'POST', $_POST, $inputs );
	$linker_status = '';
	if ( $error != 0 ):
		$status = FALSE;
		$linker_status = $MOD_LINKER_VIEW['ERROR']['INPUT'] . ' [ ' . $error . ' ]' . '<br />' . $inputs[$error][ 'error' ];
		unset( $inputs );

	else:
		// save input into local vars
		$page_id		= $inputs[ 'page_id' ][ 'value' ];
		$section_id		= $inputs[ 'section_id' ][ 'value' ];
		$save_target	= $inputs[ 'save_target' ][ 'value' ];
		$leptoken		= $inputs[ 'leptoken' ][ 'value' ];
		$preset_path	= $inputs[ 'preset_path' ][ 'value' ];
		$preset_name	= $inputs[ 'preset_name' ][ 'value' ];

		$data = array();
		foreach ( array( 'options', 'properties' ) as $kind ):
			if (( array_key_exists( $kind, $inputs )		== TRUE )
			and ( array_key_exists( '0', $inputs[ $kind ] )	== TRUE )):
				foreach ( $inputs[ $kind ][0] as $key => $items ):
					if ( array_key_exists( 'value', $items ) == TRUE ):
						$data[ $kind ][ $key ] = $items[ 'value' ];
					endif;
				endforeach;
			endif;
		endforeach;

		unset( $inputs );

		// save data processing
		// initialize process status
		$status = TRUE;

		// include data save
		if ( $status == TRUE ):
			$includes[]	= $linker_modulePath . '/lib/lib.save.' . $linker_component . '.php';
			$includes[]	= array( 'LOADER'=> 'require', 'FILE' => $linker_modulePath . 'lib/lib.' . $linker_component . '.php' );
			include( $linker_modulePath . 'load_includes.php' );
		endif;

		// saved successfully
		if ( $status == TRUE ):
			if (( isset( $save_anchor )	== TRUE )
			and ( strlen( $save_anchor ) > 0    )):
				$save_target .= '#' . $save_anchor;
			endif;
			$admin->print_success(
						  $MESSAGE['PAGES']['SAVED']
						, $save_target
			);
		endif;
	endif;

// page footer processing
	// an failure occured
	if ( $status != TRUE ):
		$admin->print_error(
					  $linker_status
					, $js_back
		);
	endif;

// Print admin footer
	$admin->print_footer();

?>
